summaryrefslogtreecommitdiff
path: root/puppet/modules/backupninja/templates/umount.handler
diff options
context:
space:
mode:
authorMicah <micah@leap.se>2016-07-12 16:46:29 -0400
committerMicah <micah@leap.se>2016-07-12 16:46:29 -0400
commit6a895ece94a86c9ccc32c9bec51413d4e4f0df8e (patch)
tree164fc1d325e2c48f5cb814d8df3405f1b9751825 /puppet/modules/backupninja/templates/umount.handler
parent1e1e25286b64790141c9627f81b50f579b13b719 (diff)
git subrepo clone https://leap.se/git/puppet_backupninja puppet/modules/backupninja
subrepo: subdir: "puppet/modules/backupninja" merged: "5268a87" upstream: origin: "https://leap.se/git/puppet_backupninja" branch: "master" commit: "5268a87" git-subrepo: version: "0.3.0" origin: "https://github.com/ingydotnet/git-subrepo" commit: "1e79595" Change-Id: I147608fbb12a35fe83642d4d031009dcc62cecee
Diffstat (limited to 'puppet/modules/backupninja/templates/umount.handler')
-rw-r--r--puppet/modules/backupninja/templates/umount.handler15
1 files changed, 15 insertions, 0 deletions
diff --git a/puppet/modules/backupninja/templates/umount.handler b/puppet/modules/backupninja/templates/umount.handler
new file mode 100644
index 00000000..4fea195a
--- /dev/null
+++ b/puppet/modules/backupninja/templates/umount.handler
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Unmount the specified directory ('dir'), forcefully if necessary.
+
+getconf dir
+
+if ! umount $dir; then
+ warning "Simple unmount failed for $dir; being forceful"
+ if ! umount -f $dir; then
+ warning "Forceful unmount failed for $dir; being lazy"
+ if ! umount -l $dir; then
+ warning "Lazy unmount failed for $dir; you're on your own"
+ fi
+ fi
+fi